searchData={"items":[{"type":"module","title":"Angle","doc":"Tired of forever converting back and forwards between degrees and radians?\nWell worry no more; Angle is here to make your life simple!","ref":"Angle.html"},{"type":"module","title":"Magic sigils - Angle","doc":"Angle defines the `~a` sigil so that you can create an Angle easily.\n\n#","ref":"Angle.html#module-magic-sigils"},{"type":"module","title":"Examples - Angle","doc":"Creating an Angle from decimal degrees:\n\n    iex> use Angle\n    ...> ~a(13.2)d\n    #Angle \n\nCreating an Angle from radians:\n\n    iex> use Angle\n    ...> ~a(0.25)r\n    #Angle \n\nCreating an Angle from gradians:\n\n    iex> use Angle\n    ...> ~a(40)g\n    #Angle \n\nCreate an Angle from degrees, minutes and seconds:\n\n    iex> use Angle\n    ...> ~a(90,30,50)dms\n    #Angle","ref":"Angle.html#module-examples"},{"type":"module","title":"Lazy converstion - Angle","doc":"Most functions in Angle return a potentially modified version of the angle,\nso that if the angle needs to be converted to radians or degrees for the\nunderlying function to work, then it'll only be done once.\n\n#","ref":"Angle.html#module-lazy-converstion"},{"type":"module","title":"Examples - Angle","doc":"Returning the radian representation of an angle\n\n      iex> use Angle\n      ...> ~a(13)d\n      ...> |> Angle.to_radians()\n      ...> |> inspect()\n      \"{#Angle , 0.22689280275926282}\"","ref":"Angle.html#module-examples"},{"type":"function","title":"Angle.abs/1","doc":"Convert the angle to it's absolute value by discarding complete revolutions\nand converting negatives.","ref":"Angle.html#abs/1"},{"type":"function","title":"Examples - Angle.abs/1","doc":"iex> ~a(-270)d\n    ...> |> Angle.abs()\n    #Angle \n\n    iex> ~a(-4.71238898038469)r\n    ...> |> Angle.abs()\n    #Angle \n\n    iex> ~a(-270,15,45)dms\n    ...> |> Angle.abs()\n    #Angle \n\n    iex> ~a(-300)g\n    ...> |> Angle.abs()\n    #Angle","ref":"Angle.html#abs/1-examples"},{"type":"function","title":"Angle.acos/1","doc":"","ref":"Angle.html#acos/1"},{"type":"function","title":"Angle.acosh/1","doc":"","ref":"Angle.html#acosh/1"},{"type":"function","title":"Angle.asin/1","doc":"","ref":"Angle.html#asin/1"},{"type":"function","title":"Angle.asinh/1","doc":"","ref":"Angle.html#asinh/1"},{"type":"function","title":"Angle.atan2/2","doc":"","ref":"Angle.html#atan2/2"},{"type":"function","title":"Angle.atan/1","doc":"","ref":"Angle.html#atan/1"},{"type":"function","title":"Angle.cos/1","doc":"","ref":"Angle.html#cos/1"},{"type":"function","title":"Angle.cosh/1","doc":"","ref":"Angle.html#cosh/1"},{"type":"function","title":"Angle.degrees/1","doc":"","ref":"Angle.html#degrees/1"},{"type":"function","title":"Angle.dms/3","doc":"","ref":"Angle.html#dms/3"},{"type":"function","title":"Angle.gradians/1","doc":"","ref":"Angle.html#gradians/1"},{"type":"function","title":"Angle.radians/1","doc":"","ref":"Angle.html#radians/1"},{"type":"function","title":"Angle.sin/1","doc":"","ref":"Angle.html#sin/1"},{"type":"function","title":"Angle.sinh/1","doc":"","ref":"Angle.html#sinh/1"},{"type":"function","title":"Angle.tan/1","doc":"","ref":"Angle.html#tan/1"},{"type":"function","title":"Angle.tanh/1","doc":"","ref":"Angle.html#tanh/1"},{"type":"function","title":"Angle.to_degrees/1","doc":"","ref":"Angle.html#to_degrees/1"},{"type":"function","title":"Angle.to_dms/1","doc":"","ref":"Angle.html#to_dms/1"},{"type":"function","title":"Angle.to_gradians/1","doc":"","ref":"Angle.html#to_gradians/1"},{"type":"function","title":"Angle.to_radians/1","doc":"","ref":"Angle.html#to_radians/1"},{"type":"function","title":"Angle.zero/0","doc":"Initialize and Angle with zero values","ref":"Angle.html#zero/0"},{"type":"function","title":"Examples - Angle.zero/0","doc":"iex> Angle.zero()\n      #Angle","ref":"Angle.html#zero/0-examples"},{"type":"type","title":"Angle.maybe_number/0","doc":"","ref":"Angle.html#t:maybe_number/0"},{"type":"type","title":"Angle.t/0","doc":"","ref":"Angle.html#t:t/0"},{"type":"module","title":"Angle.DMS","doc":"Functions relating to dealing with angles in Degrees, Minutes and Seconds.","ref":"Angle.DMS.html"},{"type":"function","title":"Angle.DMS.abs/1","doc":"Convert the angle to it's absolute value by discarding complete revolutions\nand converting negatives.","ref":"Angle.DMS.html#abs/1"},{"type":"function","title":"Examples - Angle.DMS.abs/1","doc":"iex> ~a(-270,15,45)dms\n    ...> |> Angle.DMS.abs()\n    #Angle \n\n    iex> ~a(1170,0,0)dms\n    ...> |> Angle.DMS.abs()\n    #Angle","ref":"Angle.DMS.html#abs/1-examples"},{"type":"function","title":"Angle.DMS.ensure/1","doc":"Ensure that a DMS representation is present for this angle, otherwise\ncalculate one.","ref":"Angle.DMS.html#ensure/1"},{"type":"function","title":"Examples - Angle.DMS.ensure/1","doc":"iex> ~a(90.5)d\n    ...> |> ensure()\n    ...> |> Map.get(:dms)\n    {90, 30, 0.0}\n\n    iex> ~a(166.7662400)d\n    ...> |> ensure()\n    ...> |> Map.get(:dms)\n    {166, 45, 58.464000000037686}\n\n    iex> ~a(1.579522973054868)r\n    ...> |> ensure()\n    ...> |> Map.get(:dms)\n    {90, 30, 0.0}\n\n    iex> ~a(100.55555555555556)g\n    ...> |> ensure()\n    ...> |> Map.get(:dms)\n    {90, 30, 0.0}","ref":"Angle.DMS.html#ensure/1-examples"},{"type":"function","title":"Angle.DMS.init/1","doc":"Initialize an Angle from integer `d` degrees.","ref":"Angle.DMS.html#init/1"},{"type":"function","title":"Examples - Angle.DMS.init/1","doc":"iex> init(13)\n    #Angle","ref":"Angle.DMS.html#init/1-examples"},{"type":"function","title":"Angle.DMS.init/2","doc":"Initialize an Angle from integer `d` degrees, optionally followed by integer\n`m` minutes.","ref":"Angle.DMS.html#init/2"},{"type":"function","title":"Examples - Angle.DMS.init/2","doc":"iex> init(13, 30)\n    #Angle","ref":"Angle.DMS.html#init/2-examples"},{"type":"function","title":"Angle.DMS.init/3","doc":"Initialize an Angle from integer `d` degrees, followed by integer\n`m` minutes and `s` seconds.","ref":"Angle.DMS.html#init/3"},{"type":"function","title":"Examples - Angle.DMS.init/3","doc":"iex> init(13, 30, 45)\n    #Angle","ref":"Angle.DMS.html#init/3-examples"},{"type":"function","title":"Angle.DMS.parse/1","doc":"Attempt to parse a string of degrees, minutes and seconds.","ref":"Angle.DMS.html#parse/1"},{"type":"function","title":"Examples - Angle.DMS.parse/1","doc":"iex> \"166 45 58.46\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"166,45,58.46\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"166° 45′ 58.46″\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"166°45′58.46″\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"-166° 45′ 58.46″\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"","ref":"Angle.DMS.html#parse/1-examples"},{"type":"function","title":"Angle.DMS.to_dms/1","doc":"Returns the DMS representation of the Angle.","ref":"Angle.DMS.html#to_dms/1"},{"type":"function","title":"Examples - Angle.DMS.to_dms/1","doc":"iex> ~a(0.5)r\n    ...> |> to_dms()\n    ...> |> inspect()\n    \"{#Angle , {28, 38, 52.403123548181156}}\"","ref":"Angle.DMS.html#to_dms/1-examples"},{"type":"module","title":"Angle.Degree","doc":"Functions relating to dealing with angles in real Degrees.","ref":"Angle.Degree.html"},{"type":"function","title":"Angle.Degree.abs/1","doc":"Convert the angle to it's absolute value by discarding complete revolutions\nand converting negatives.","ref":"Angle.Degree.html#abs/1"},{"type":"function","title":"Examples - Angle.Degree.abs/1","doc":"iex> ~a(-270)d\n    ...> |> Angle.Degree.abs()\n    #Angle \n\n    iex> ~a(1170)d\n    ...> |> Angle.Degree.abs()\n    #Angle","ref":"Angle.Degree.html#abs/1-examples"},{"type":"function","title":"Angle.Degree.ensure/1","doc":"Ensure that a degree representation is present for this angle, otherwise\ncalculate one.","ref":"Angle.Degree.html#ensure/1"},{"type":"function","title":"Examples - Angle.Degree.ensure/1","doc":"iex> ~a(0.5)r\n    ...> |> ensure()\n    ...> |> Map.get(:d)\n    28.64788975654116\n\n    iex> ~a(76.3944)g\n    ...> |> ensure()\n    ...> |> Map.get(:d)\n    68.75496000000001\n\n    iex> ~a(77 50 56)dms\n    ...> |> ensure()\n    ...> |> Map.get(:d)\n    77.84888888888888","ref":"Angle.Degree.html#ensure/1-examples"},{"type":"function","title":"Angle.Degree.init/1","doc":"Initialize an Angle from a number `n` of degrees","ref":"Angle.Degree.html#init/1"},{"type":"function","title":"Examples - Angle.Degree.init/1","doc":"iex> init(13)\n    #Angle \n\n    iex> init(13.2)\n    #Angle \n\n    iex> init(0)\n    #Angle \n\n    iex> init(0.0)\n    #Angle","ref":"Angle.Degree.html#init/1-examples"},{"type":"function","title":"Angle.Degree.parse/1","doc":"Attempt to parse decimal degrees.","ref":"Angle.Degree.html#parse/1"},{"type":"function","title":"Examples - Angle.Degree.parse/1","doc":"iex> \"13\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"13.2\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"13°\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"13.2°\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"-13.2°\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"","ref":"Angle.Degree.html#parse/1-examples"},{"type":"function","title":"Angle.Degree.to_degrees/1","doc":"Return the degrees representation of the Angle.","ref":"Angle.Degree.html#to_degrees/1"},{"type":"function","title":"Examples - Angle.Degree.to_degrees/1","doc":"iex> ~a(0.5)r\n    ...> |> to_degrees()\n    ...> |> inspect()\n    \"{#Angle , 28.64788975654116}\"","ref":"Angle.Degree.html#to_degrees/1-examples"},{"type":"module","title":"Angle.Gradian","doc":"Functions relating to dealing with angles in Gradians.","ref":"Angle.Gradian.html"},{"type":"function","title":"Angle.Gradian.abs/1","doc":"Convert the angle to it's absolute value by discarding complete revolutions\nand converting negatives.","ref":"Angle.Gradian.html#abs/1"},{"type":"function","title":"Examples - Angle.Gradian.abs/1","doc":"iex> ~a(-300)g\n    ...> |> Angle.Gradian.abs()\n    #Angle \n\n    iex> ~a(1300)g\n    ...> |> Angle.Gradian.abs()\n    #Angle","ref":"Angle.Gradian.html#abs/1-examples"},{"type":"function","title":"Angle.Gradian.ensure/1","doc":"Ensure that a gradian representation is present for this angle, otherwise\ncalculate one.","ref":"Angle.Gradian.html#ensure/1"},{"type":"function","title":"Examples - Angle.Gradian.ensure/1","doc":"iex> ~a(90)d\n    ...> |> ensure()\n    ...> |> Map.get(:g)\n    100.0\n\n    iex> ~a(1)r\n    ...> |> ensure()\n    ...> |> Map.get(:g)\n    63.66197723675813\n\n    iex> ~a(90 0 0)dms\n    ...> |> ensure()\n    ...> |> Map.get(:g)\n    100.0","ref":"Angle.Gradian.html#ensure/1-examples"},{"type":"function","title":"Angle.Gradian.init/1","doc":"Initialize an Angle from a number `n` of gradians","ref":"Angle.Gradian.html#init/1"},{"type":"function","title":"Examples - Angle.Gradian.init/1","doc":"iex> init(13)\n    #Angle \n\n    iex> init(13.2)\n    #Angle \n\n    iex> init(0)\n    #Angle \n\n    iex> init(0.0)\n    #Angle","ref":"Angle.Gradian.html#init/1-examples"},{"type":"function","title":"Angle.Gradian.parse/1","doc":"Attempt to arse decimal gradians.","ref":"Angle.Gradian.html#parse/1"},{"type":"function","title":"Examples - Angle.Gradian.parse/1","doc":"iex> \"13\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"13.2\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"13ᵍ\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"13.2ᵍ\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"","ref":"Angle.Gradian.html#parse/1-examples"},{"type":"function","title":"Angle.Gradian.to_gradians/1","doc":"Return the gradians representation of the Angle.","ref":"Angle.Gradian.html#to_gradians/1"},{"type":"function","title":"Examples - Angle.Gradian.to_gradians/1","doc":"iex> use Angle\n    ...> ~a(0.5)r\n    ...> |> to_gradians()\n    ...> |> inspect()\n    \"{#Angle , 31.830988618379067}\"","ref":"Angle.Gradian.html#to_gradians/1-examples"},{"type":"module","title":"Angle.Radian","doc":"Functions relating to dealing with angles in Radians.","ref":"Angle.Radian.html"},{"type":"function","title":"Angle.Radian.abs/1","doc":"Convert the angle to it's absolute value by discarding complete revolutions\nand converting negatives.","ref":"Angle.Radian.html#abs/1"},{"type":"function","title":"Examples - Angle.Radian.abs/1","doc":"iex> ~a(-4.71238898038469)r\n    ...> |> Angle.Radian.abs()\n    #Angle \n\n    iex> ~a(20.420352248333657)r\n    ...> |> Angle.Radian.abs()\n    #Angle","ref":"Angle.Radian.html#abs/1-examples"},{"type":"function","title":"Angle.Radian.ensure/1","doc":"Ensure that a radian representation is present for this angle, otherwise\ncalculate one.","ref":"Angle.Radian.html#ensure/1"},{"type":"function","title":"Examples - Angle.Radian.ensure/1","doc":"iex> ~a(90)d\n    ...> |> ensure()\n    ...> |> Map.get(:r)\n    1.5707963267948966\n\n    iex> ~a(76.3944)g\n    ...> |> ensure()\n    ...> |> Map.get(:r)\n    1.2000004290770006\n\n    iex> ~a(90,0,0)dms\n    ...> |> ensure()\n    ...> |> Map.get(:r)\n    1.5707963267948966","ref":"Angle.Radian.html#ensure/1-examples"},{"type":"function","title":"Angle.Radian.init/1","doc":"Initialize an Angle from a number `n` of radians","ref":"Angle.Radian.html#init/1"},{"type":"function","title":"Examples - Angle.Radian.init/1","doc":"iex> init(13)\n    #Angle \n\n    iex> init(13.2)\n    #Angle \n\n    iex> init(0)\n    #Angle \n\n    iex> init(0.0)\n    #Angle","ref":"Angle.Radian.html#init/1-examples"},{"type":"function","title":"Angle.Radian.parse/1","doc":"Attempt to parse decimal radians.","ref":"Angle.Radian.html#parse/1"},{"type":"function","title":"Examples - Angle.Radian.parse/1","doc":"iex> \"13\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"13.2\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"13㎭\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"13.2㎭\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> \"-13.2㎭\" |> parse() |> inspect()\n    \"{:ok, #Angle }\"","ref":"Angle.Radian.html#parse/1-examples"},{"type":"function","title":"Angle.Radian.to_radians/1","doc":"Return the radians representation of the Angle.","ref":"Angle.Radian.html#to_radians/1"},{"type":"function","title":"Examples - Angle.Radian.to_radians/1","doc":"iex> ~a(90)d\n    ...> |> to_radians()\n    ...> |> inspect()\n    \"{#Angle , 1.5707963267948966}\"","ref":"Angle.Radian.html#to_radians/1-examples"},{"type":"module","title":"Angle.Sigil","doc":"This module defines the `~a` macros.  To use it just `use Angle`.","ref":"Angle.Sigil.html"},{"type":"function","title":"Angle.Sigil.sigil_a/2","doc":"Defines a `~a` shortcut for inputting angles.","ref":"Angle.Sigil.html#sigil_a/2"},{"type":"function","title":"Examples - Angle.Sigil.sigil_a/2","doc":"Creating an Angle from degrees:\n\n    iex> use Angle\n    ...> ~a(13.2)d\n    #Angle \n\n    iex> use Angle\n    ...> ~a(13)d\n    #Angle \n\nCreating an Angle from radians:\n\n    iex> use Angle\n    ...> ~a(0.25)r\n    #Angle \n\n    iex> use Angle\n    ...> ~a(13)r\n    #Angle \n\nAn angle of zero is the same in both degrees and radians do doesn't need a modifier\n\n    iex> use Angle\n    ...> ~a(0)\n    #Angle","ref":"Angle.Sigil.html#sigil_a/2-examples"},{"type":"module","title":"Angle.Trig","doc":"Wraps Erlang's `:math` module to provide versions of it's trigonomic\nfunctions which work with the `Angle` type.\n\nErlang's `:math` module relies on your libc implementation.  Which return\npotentially different values for these functions based on the approximations\nthey use.  Specifally you may see small differences between values computed\nby macOS' libc and GNU libc.  This can lead to surprising test failures; you\nmost likely want to limit accuracy in tests to a few decimal places.","ref":"Angle.Trig.html"},{"type":"function","title":"Angle.Trig.acos/1","doc":"Calculate the inverse trigonometric cosine (also known as arccosine) angle\nof a real value `x` between -1 and 1.","ref":"Angle.Trig.html#acos/1"},{"type":"function","title":"Examples: - Angle.Trig.acos/1","doc":"iex> Angle.Trig.acos(1)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> Angle.Trig.acos(-1)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"","ref":"Angle.Trig.html#acos/1-examples"},{"type":"function","title":"Angle.Trig.acosh/1","doc":"Calculate the inverse hyperbolic cosine angle of a real value `x` between 1\nand +∞.","ref":"Angle.Trig.html#acosh/1"},{"type":"function","title":"Examples - Angle.Trig.acosh/1","doc":"iex> Angle.Trig.acosh(1)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> Angle.Trig.acosh(2)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"","ref":"Angle.Trig.html#acosh/1-examples"},{"type":"function","title":"Angle.Trig.asin/1","doc":"Calculate the inverse trigonometric sine (also known as arcsine) angle of a\nreal value `x` between -1 and 1.","ref":"Angle.Trig.html#asin/1"},{"type":"function","title":"Examples - Angle.Trig.asin/1","doc":"iex> Angle.Trig.asin(0)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> Angle.Trig.asin(1)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"","ref":"Angle.Trig.html#asin/1-examples"},{"type":"function","title":"Angle.Trig.asinh/1","doc":"Calculate the inverse hyperbolic sine angle of a real value `x`.","ref":"Angle.Trig.html#asinh/1"},{"type":"function","title":"Examples - Angle.Trig.asinh/1","doc":"iex> Angle.Trig.asinh(-1)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> Angle.Trig.asinh(1)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"","ref":"Angle.Trig.html#asinh/1-examples"},{"type":"function","title":"Angle.Trig.atan2/2","doc":"Calculate the inverse trigonometric tangent (also known as arctangent) angle\nbetween the positive x-axis and the coordinates `x`, `y`.","ref":"Angle.Trig.html#atan2/2"},{"type":"function","title":"Examples - Angle.Trig.atan2/2","doc":"iex> Angle.Trig.atan2(-1, -2)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> Angle.Trig.atan2(1, 2)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"","ref":"Angle.Trig.html#atan2/2-examples"},{"type":"function","title":"Angle.Trig.atan/1","doc":"Calculate the inverse trigonometric tangent (also known as arctangent) angle\nof any real value `x`.","ref":"Angle.Trig.html#atan/1"},{"type":"function","title":"Examples - Angle.Trig.atan/1","doc":"iex> Angle.Trig.atan(-1)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"\n\n    iex> Angle.Trig.atan(1)\n    ...> |> inspect()\n    \"{:ok, #Angle }\"","ref":"Angle.Trig.html#atan/1-examples"},{"type":"function","title":"Angle.Trig.cos/1","doc":"Calculate the cosine (sine complement) of `angle`.\n\nThe cosine is the ratio of the length of the adjacent side to the length of\nthe hypotenuse of a right angle triangle.\n\nReturns a `float` between `-1.0` and `1.0`","ref":"Angle.Trig.html#cos/1"},{"type":"function","title":"Example - Angle.Trig.cos/1","doc":"iex> ~a(180)d\n    ...> |> cos()\n    ...> |> inspect()\n    \"{#Angle , -1.0}\"","ref":"Angle.Trig.html#cos/1-example"},{"type":"function","title":"Angle.Trig.cosh/1","doc":"Calculate the hyperbolic cosine of `angle`.\n\nReturns a `float` between `1.0` and +∞.","ref":"Angle.Trig.html#cosh/1"},{"type":"function","title":"Example - Angle.Trig.cosh/1","doc":"iex> ~a(0)\n    ...> |> cosh()\n    ...> |> inspect()\n    \"{#Angle , 1.0}\"","ref":"Angle.Trig.html#cosh/1-example"},{"type":"function","title":"Angle.Trig.sin/1","doc":"Calculate the sine of `angle`.\n\nThe sine of an angle is the ratio of the length of the opposite side to the\nlength of the hypotenuse of a right angle triangle.\n\nReturns a `float` between -∞ and +∞.","ref":"Angle.Trig.html#sin/1"},{"type":"function","title":"Example - Angle.Trig.sin/1","doc":"iex> ~a(90)d\n    ...> |> sin()\n    ...> |> inspect()\n    \"{#Angle , 1.0}\"","ref":"Angle.Trig.html#sin/1-example"},{"type":"function","title":"Angle.Trig.sinh/1","doc":"Calculate the hyperbolic sine of `angle`.\n\nReturns a `float` between -∞ and +∞.","ref":"Angle.Trig.html#sinh/1"},{"type":"function","title":"Example - Angle.Trig.sinh/1","doc":"iex> ~a(0)\n    ...> |> sinh()\n    ...> |> inspect()\n    \"{#Angle , 0.0}\"","ref":"Angle.Trig.html#sinh/1-example"},{"type":"function","title":"Angle.Trig.tan/1","doc":"Caculate the tangent of `angle`.\n\nThe tangent of an angle is the ratio of the length of the opposite side to\nthe length of the adjacent side of a right angle triangle.\n\nReturns a `float` between -∞ and +∞.","ref":"Angle.Trig.html#tan/1"},{"type":"function","title":"Example - Angle.Trig.tan/1","doc":"iex> ~a(0)\n    ...> |> tan()\n    ...> |> inspect()\n    \"{#Angle , 0.0}\"","ref":"Angle.Trig.html#tan/1-example"},{"type":"function","title":"Angle.Trig.tanh/1","doc":"Calculate the hyperbolic tangent of `angle`.\n\nReturns a `float` between `-1.0` and `1.0`","ref":"Angle.Trig.html#tanh/1"},{"type":"function","title":"Example - Angle.Trig.tanh/1","doc":"iex> ~a(0)\n    ...> |> tanh()\n    ...> |> inspect()\n    \"{#Angle , 0.0}\"","ref":"Angle.Trig.html#tanh/1-example"},{"type":"extras","title":"Angle","doc":"# Angle\n\n[![Build Status](https://drone.harton.dev/api/badges/james/angle/status.svg)](https://drone.harton.dev/james/angle)\n[![Hex.pm](https://img.shields.io/hexpm/v/angle.svg)](https://hex.pm/packages/angle)\n[![Hippocratic License HL3-FULL](https://img.shields.io/static/v1?label=Hippocratic%20License&message=HL3-FULL&labelColor=5e2751&color=bc8c3d)](https://firstdonoharm.dev/version/3/0/full.html)\n\nTired of forever converting back and forwards between degrees and radians?\nWell worry no more; Angle is here to make your life simple!","ref":"readme.html"},{"type":"extras","title":"Magic sigils - Angle","doc":"Angle defines the `~a` sigil so that you can create an Angle easily.\n\n#","ref":"readme.html#magic-sigils"},{"type":"extras","title":"Examples - Angle","doc":"Creating an Angle from decimal degrees:\n\n    iex> use Angle\n    ...> ~a(13.2)d\n    #Angle \n\nCreating an Angle from radians:\n\n    iex> use Angle\n    ...> ~a(0.25)r\n    #Angle \n\nCreating an Angle from gradians:\n\n    iex> use Angle\n    ...> ~a(40)g\n    #Angle \n\nCreate an Angle from degrees, minutes and seconds:\n\n    iex> use Angle\n    ...> ~a(90,30,50)dms\n    #Angle","ref":"readme.html#examples"},{"type":"extras","title":"Lazy converstion - Angle","doc":"Most functions in Angle return a potentially modified version of the angle,\nso that if the angle needs to be converted to radians or degrees for the\nunderlying function to work, then it'll only be done once.\n\n#","ref":"readme.html#lazy-converstion"},{"type":"extras","title":"Examples - Angle","doc":"Returning the radian representation of an angle\n\n      iex> use Angle\n      ...> ~a(13)d\n      ...> |> Angle.to_radians()\n      ...> |> inspect()\n      \"{#Angle , 0.22689280275926282}\"","ref":"readme.html#examples"},{"type":"extras","title":"Installation - Angle","doc":"Angle is [available in Hex](https://hex.pm/packages/angle), the package can be installed\nby adding `angle` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:angle, \"~> 1.0.1\"}\n  ]\nend\n```\n\nDocumentation for the latest release can be found on\n[HexDocs](https://hexdocs.pm/angle) and for the `main` branch on\n[docs.harton.nz](https://docs.harton.nz/james/angle).","ref":"readme.html#installation"},{"type":"extras","title":"Github Mirror - Angle","doc":"This repository is mirrored [on Github](https://github.com/jimsynz/angle)\nfrom it's primary location [on my Forejo instance](https://harton.dev/james/angle).\nFeel free to raise issues and open PRs on Github.","ref":"readme.html#github-mirror"},{"type":"extras","title":"License - Angle","doc":"This software is licensed under the terms of the\n[HL3-FULL](https://firstdonoharm.dev), see the `LICENSE.md` file included with\nthis package for the terms.\n\nThis license actively proscribes this software being used by and for some\nindustries, countries and activities. If your usage of this software doesn't\ncomply with the terms of this license, then [contact me](mailto:james@harton.nz)\nwith the details of your use-case to organise the purchase of a license - the\ncost of which may include a donation to a suitable charity or NGO.","ref":"readme.html#license"},{"type":"extras","title":"Change Log","doc":"# Change Log\n\nAll notable changes to this project will be documented in this file.\nSee [Conventional Commits](Https://conventionalcommits.org) for commit guidelines.\n\n \n\n## [v1.0.1](https://harton.dev/james/angle/compare/v1.0.0...v1.0.1) (2024-02-23)\n\n\n\n\n## [v1.0.0](https://harton.dev/james/angle/compare/v0.3.0...v1.0.0) (2023-01-16)\n\n#","ref":"changelog.html"},{"type":"extras","title":"Breaking Changes: - Change Log","doc":"- Relicense to HL3-FULL\n\n## [v0.3.0](https://harton.dev/james/angle/compare/v0.3.0...v0.3.0) (2020-12-28)","ref":"changelog.html#breaking-changes"}],"content_type":"text/markdown"}